function createHeart() {
  const heart = document.createElement('div');
  heart.innerHTML = '♥';
  heart.style.position = 'absolute';
  heart.style.fontSize = Math.random() * 20 + 10 + 'px';
  heart.style.color = `rgba(255, ${Math.random() * 77 + 77}, ${Math.random() * 109 + 109}, ${Math.random() * 0.5 + 0.5})`;
  heart.style.left = Math.random() * 100 + 'vw';
  heart.style.animationDuration = Math.random() * 3 + 2 + 's';
  heart.style.animation = 'float-up linear forwards';
  
  document.querySelector('.floating-hearts').appendChild(heart);
  
  setTimeout(() => {
    heart.remove();
  }, 5000);
}

document.addEventListener('DOMContentLoaded', () => {
  setInterval(createHeart, 300);
});

const style = document.createElement('style');
style.textContent = `
  @keyframes float-up {
    0% {
      transform: translateY(100vh) rotate(0deg);
      opacity: 1;
    }
    100% {
      transform: translateY(-100vh) rotate(360deg);
      opacity: 0;
    }
  }
`;
document.head.appendChild(style);
